Purchase Invoices

The purchase invoices resource.

Basehttps://rest.carbon.ms/purchaseInvoices
GET/purchaseInvoices

List purchase invoicess

Retrieve a paginated list of purchase invoicess. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/purchaseInvoices
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoices?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "invoiceId": "xyz789",
    "supplierId": "xyz789",
    "invoiceSupplierId": "xyz789",
    "supplierInteractionId": "xyz789",
    "supplierReference": "string",
    "invoiceSupplierContactId": "xyz789",
    "invoiceSupplierLocationId": "xyz789"
  }
]
GET/purchaseInvoices

Retrieve a purchase invoices

Fetch a single purchase invoices by filtering on `id`.

Query parameters

idstring

Match on the purchase invoices's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/purchaseInvoices
curl --request GET \
  --url 'https://rest.carbon.ms/purchaseInvoices?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "invoiceId": "xyz789",
  "supplierId": "xyz789",
  "invoiceSupplierId": "xyz789",
  "supplierInteractionId": "xyz789",
  "supplierReference": "string",
  "invoiceSupplierContactId": "xyz789",
  "invoiceSupplierLocationId": "xyz789"
}